{
  "root": true,
  "parser": "@typescript-eslint/parser",
  "plugins": ["@typescript-eslint"],
  "extends": [
    "plugin:prettier/recommended",
    "airbnb-typescript",
    "prettier",
    "prettier/@typescript-eslint",
    "prettier/react"
  ],
  "env": {
    "jest": true
  },
  "rules": {
    // Make prettier code formatting suggestions more verbose.
    "prettier/prettier": ["warn"],
    // Disable <Fragment> => <> replacement. Feel free to change
    "react/jsx-fragments": "off",
    // Disable prefer default export
    "import/prefer-default-export": "off",
    "no-param-reassign": ["error", { "props": true, "ignorePropertyModificationsFor": ["state"] }],
    "import/no-cycle": [0],
    "react/prop-types": [0],
    "jsx-a11y/anchor-is-valid": [0],
    "jsx-a11y/click-events-have-key-events": [0],
    "no-nested-ternary": [0],
    "jsx-a11y/no-noninteractive-element-interactions": [0],
    "react/no-danger": [0],
    "jsx-a11y/control-has-associated-label": [0],
    "jsx-a11y/anchor-has-content": [0]
  },
  "overrides": [
    {
      "files": ["*.ts", "*.tsx"],
      "parserOptions": {
        "ecmaVersion": 12,
        "project": ["./tsconfig.json"]
      }
    }
  ]
}
